%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major          1
%define oname          mateweather
%define libname        %mklibname mateweather %{major}
%define develname      %mklibname -d mateweather

Summary:        MATE Weather applet library
Name:           libmateweather
Version:        1.6.2
Release:        %mkrel 2
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
License:        GPLv2+
Group:          System/Libraries
Url:            http://www.mate.org
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:  python-gobject-devel
BuildRequires:  pkgconfig(pygtk-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:  intltool >= 0.40.6
BuildRequires:  libxml2-utils
BuildRequires:  pkgconfig(python)
BuildRequires:  mate-common
BuildRequires:  gtk-doc
BuildRequires:  intltool

%description
This is a library to provide Weather data to the MATE panel applet.

%package -n %{libname}
Group:          System/Libraries
Summary:        MATE Weather applet library
Requires:       %{name} >= %{version}

%description -n %{libname}
This is a library to provide Weather data to the MATE panel applet.

%package -n python-%{oname}
Summary:        Python bindings for MATE Weather applet
Group:          System/Libraries
Provides:       python-%{name} >= %{version}-%{release}
Requires:       %{name} >= %{version}

%description -n python-%{oname}
This is a library to provide Weather data to the MATE panel applet.

%package -n %{develname}
Group:          Development/C
Summary:        MATE Weather applet library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}mateweather1-devel < 1.6.2-2

%description -n %{develname}
This is a library to provide Weather data to the MATE panel applet.

%prep
%setup -q

%build
%configure2_5x \
        --disable-static       \
        --with-gnu-ld          \
        --enable-python
%make

%install
%makeinstall_std

find %{buildroot}%{_libdir} -type f -name "*.la" -delete

%find_lang %{name}

for xmlfile in %{buildroot}%{_datadir}/%{name}/Locations.*.xml; do
echo "%lang($(basename $xmlfile|sed -e s/Locations.// -e s/.xml//)) $(echo $xmlfile | sed s!%{buildroot}!!)" >> %{name}.lang
done

%files -f %{name}.lang
%doc AUTHORS COPYING README
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/locations.dtd
%{_datadir}/%{name}/Locations.xml
%{_iconsdir}/mate/*/status/weather*
%{_datadir}/glib-2.0/schemas/org.mate.weather.gschema.xml

%files -n %{libname}
%{_libdir}/libmateweather.so.%{major}*

%files -n python-%{oname}
%{python_sitearch}/%{oname}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/libmateweather.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Wed Aug 21 2013 wally <wally> 1.6.2-2.mga4
+ Revision: 469026
- drop major from devel pkg name
- tag some docs as such

* Sun Aug 11 2013 diogenese <diogenese> 1.6.2-1.mga4
+ Revision: 465378
- Updated sources to 1.6.2

* Fri Jun 14 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 442925
- imported package libmateweather

